RagTime5LayoutInternal::State Struct Reference

Internal: the state of a RagTime5Layout. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

int | m_numPages
| the number of pages
std::map< int, std::shared_ptr< ClusterLayout > > | m_idLayoutMap
| map data id to text zone
std::set< int > | m_masterIdSet
| the list of master id
std::vector< int > | m_layoutIdToSendList
| the list of layout to send

## Detailed Description

Internal: the state of a RagTime5Layout.

## Constructor & Destructor Documentation

## State()

RagTime5LayoutInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_idLayoutMap

std::map<int, std::shared_ptr<ClusterLayout> > RagTime5LayoutInternal::State::m_idLayoutMap

map data id to text zone

Referenced by State().

## m_layoutIdToSendList

std::vector<int> RagTime5LayoutInternal::State::m_layoutIdToSendList

the list of layout to send

Referenced by State().

## m_masterIdSet

std::set<int> RagTime5LayoutInternal::State::m_masterIdSet

the list of master id

Referenced by State().

## m_numPages

int RagTime5LayoutInternal::State::m_numPages

the number of pages

Referenced by State().

The documentation for this struct was generated from the following file:

- RagTime5Layout.cxx